/**
* Cookie notice scripts
* Execute codes if cookies are accepted
* Handle cookie parameters button available as shortcode
*/

document.addEventListener("DOMContentLoaded", function() {
  if (document.getElementById("cookies-eu-banner")) {

    var cookie_analytics_checkbox = $('#cookies-analytics-checkbox');

    // Init CookiesEuBanner instance
    // Execute code if consent is OK
    var cookiesBanner = new CookiesEuBanner(function() {

      // Execute code when user accept cookies here...

      // Google Analytics
      if (typeof GTM_ID === 'undefined') {
        console.warn('COOKIE NOTICE : No GTM_ID founded. Please declare the GMT_ID var in head after included the google analytics script')
      } else {
        window.dataLayer = window.dataLayer || [];
        function gtag(){dataLayer.push(arguments);}
        gtag('js', new Date());
        gtag('config', GTM_ID);
      }

    }, true);

    // Show cookies banner
    // Applied on all elements with class="display-cookies-banner", including the cookieRevocationShortcode
    var display_banner = document.querySelectorAll('.display-cookies-banner');
    for (var i = 0; i < display_banner.length; ++i) {
      display_banner[i].addEventListener('click', function () {
        $('#cookies-eu-parameters').addClass('active');
        $('#cookies-parameters').show();
        cookiesBanner.showBanner();
        if (cookiesBanner.hasConsent()) {
          cookie_analytics_checkbox.prop('checked', true);
        } else {
          cookie_analytics_checkbox.prop('checked', false);
        }
      });
    }

    // Display cookies parameters table
    document.getElementById('cookies-eu-parameters').addEventListener('click', function() {
      $('#cookies-parameters').slideToggle();
      $('#cookies-eu-parameters').toggleClass('active');
    })

    // Submit parameters
    document.getElementById('cookies-save-parameters').addEventListener('click', function() {
      if ($('#cookies-analytics-checkbox').is(":checked")){
        cookiesBanner.setConsent(true);
      } else {
        cookiesBanner.setConsent(false);
      }
      cookiesBanner.removeBanner(0);
    });

    // All accepted click button
    document.getElementById('cookies-eu-accept').addEventListener('click', function() {
      cookie_analytics_checkbox.prop('checked', true);
    });

    // Has no consent notice
    if (cookiesBanner.hasConsent()) {
    } else {
      console.warn('COOKIE NOTICE: cookies are rejected or not set. No analytics code will be excecuted');
    }

    // $('#cookies-eu-banner').slideDown();


  }
});
